function f = P10_FixP_FixX(x,GrpN,OthLP,SA0,SA,SG,SB,SLX,eps)
% Fix prices of other products and fix quinolone expenditure

%%%%Case One: Both Lnx and LnP fixed, One group at a time %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if GrpN == 4
    LnP = [OthLP(1:3); x; OthLP(4:6)];
elseif GrpN == 6
    LnP = [OthLP(1:5); x; OthLP(6)];    
elseif GrpN == 456
    LnP = [OthLP(1:3); x; OthLP(4)];
elseif GrpN == 467
    LnP = [OthLP(1:3); x(1); OthLP(4); x(2:3)];
elseif GrpN == 4567
    LnP = [OthLP(1:3); x];
end;

SPI =  SA0 + SA' * LnP + 0.5 * LnP' * SG * LnP;
SW = SA + SG * LnP + SB * (SLX-SPI);    %SLX (Quinolone expenditure) fixed
SExp = SW*exp(SLX);     %Product group's expenditure

%%%% Solve for the virtual prices that set the product's expenditure
%%%% to zero
if GrpN <=7 
    f = SExp(GrpN) - eps;
elseif GrpN == 456
    f = SExp(4:6) - eps;
elseif GrpN == 467
    f = SExp([4,6,7]) - eps;
elseif GrpN == 4567
    f = SExp([4:7]) - eps;
end;
