function [ElasN, ElasE, ElasW, ElasS]=P14_TableElas(SC,SW,SEtaU)
%% Calculate unconditional demand and expenditure elasticity

%%%%%%%% Regional Expenditure Elasticity
BST=size(SC,2);
EtaW_R = zeros(28,BST);     
for j=1:BST
    Beta=SC(6:6:42,j);
    tsw=zeros(7,4); tsw(:)=SW(:,j);
    for i=1:4
        EtaW_R(1+(i-1)*7:i*7,j) = 1 + Beta./tsw(:,i);
    end;
end;
EtaW_N = EtaW_R(1:7,1);            %Conditional Demand Expenditure Elast, North
EtaW_E = EtaW_R(8:14,1);            
EtaW_Wst = EtaW_R(15:21,1);            
EtaW_Sth = EtaW_R(22:28,1);            

t=std(EtaW_R')';
EtaW_NSd = t(1:7);                 %Std of Conditional Demand Expenditure Elast, North
EtaW_ESd = t(8:14);
EtaW_WstSd = t(15:21);
EtaW_SthSd = t(22:28);

%%%%%%%% UNCONDITIONAL DEMAND ELAS %%%%%%%%%%%
EtaU_N = zeros(7,7);               % Conditional Demand Elasticity, North
EtaU_N(:) = SEtaU(1:49,1);
EtaU_E = zeros(7,7);               % Conditional Demand Elasticity, East
EtaU_E(:) = SEtaU(50:98,1);
EtaU_Wst = zeros(7,7);               % Conditional Demand Elasticity, West
EtaU_Wst(:) = SEtaU(99:147,1);
EtaU_Sth = zeros(7,7);               % Conditional Demand Elasticity, South
EtaU_Sth(:) = SEtaU(148:196,1);
    
t=std(SEtaU')';
EtaU_NSd = zeros(7,7);               % Std of Conditional Demand Elasticity, North
EtaU_NSd(:) = t(1:49);
EtaU_ESd = zeros(7,7);               % Std of Conditional Demand Elasticity, East
EtaU_ESd(:) = t(50:98);
EtaU_WstSd = zeros(7,7);               % Std of Conditional Demand Elasticity, West
EtaU_WstSd(:) = t(99:147);
EtaU_SthSd = zeros(7,7);               % Std of Conditional Demand Elasticity, South
EtaU_SthSd(:) = t(148:196);

%%%%%%%% Create Tables
ElasN = zeros(14,8);
ElasN(1:2:end,:)=[EtaU_N,EtaW_N];
ElasN(2:2:end,:)=[EtaU_NSd,EtaW_NSd];
ElasE = zeros(14,8);
ElasE(1:2:end,:)=[EtaU_E,EtaW_E];
ElasE(2:2:end,:)=[EtaU_ESd,EtaW_ESd];
ElasW = zeros(14,8);
ElasW(1:2:end,:)=[EtaU_Wst,EtaW_Wst];
ElasW(2:2:end,:)=[EtaU_WstSd,EtaW_WstSd];
ElasS = zeros(14,8);
ElasS(1:2:end,:)=[EtaU_Sth,EtaW_Sth];
ElasS(2:2:end,:)=[EtaU_SthSd,EtaW_SthSd];

