function out=P15_TableMC(MC,SLP,SLX,SW)
%% Calculate National Marginal Cost, MarkUp, and Profit

out=zeros(14,3);

%%%% National Average Marginal Cost
mcn=(MC(1:7,:)+MC(8:14,:)+MC(15:21,:)+MC(22:end,:))/4;
MCC=mcn(:,1);
sdmc=std(mcn')';
out(1:2:end,1)=MCC;
out(2:2:end,1)=sdmc;

%%%% National Average MarkUp
sp = exp(SLP);
spp = (sp(1:7,:)+sp(8:14,:)+sp(15:21,:)+sp(22:end,:))/4;

mk = (spp-mcn)./spp;
MarkUp=mk(:,1);
MarkUpSd=std(mk')';
out(1:2:end,2)=MarkUp;
out(2:2:end,2)=MarkUpSd;

%%%% National Total Profit
HH_N = 50032442;
HH_E = 49656874;
HH_W = 44132840;
HH_S = 48059477;
tot=HH_N+HH_E+HH_W+HH_S;
nshr=HH_N/tot;
eshr=HH_E/tot;
wshr=HH_W/tot;
sshr=HH_S/tot;

sx = kron(exp(SLX),ones(7,1));
sq = sx .* SW ./sp;
t = [50032442; 49656874; 44132840; 48059477];

BST=size(SLX,2);
hh = kron(t,ones(7,BST));
tmp = (sp-MC).*sq.*hh*12/1000000;
sprofit = tmp(1:7,:)+tmp(8:14,:)+tmp(15:21,:)+tmp(22:28,:);
Profit = sprofit(:,1);
ProfitSd=std(sprofit')';
out(1:2:end,3)=Profit;
out(2:2:end,3)=ProfitSd;

%%%% Foreign Norflo's Marginal Cost is not available
out(3:4,1:3)=0;
