function [LnPHat,LnP_MHat, LnP_FHat, LnP_DHat,LnXPHat,R2,R2a] = P4_IV(End,Exog,SKUP)

% Instrument endorgenous prices and LnXP using SKU
% IV includes SKUP

n = 96; g = 7;
R2=zeros(8,1);R2a=zeros(8,1);
YHat = zeros(n*8,1);
for i = 1:8;
    if i == 1 | i == 3   
        SkuN = 2;
    elseif i == 2 | i == 6
        SkuN = 1;
    elseif i == 4 | i == 5 | i == 7
        SkuN = 5;
    end;
    Y = End(1+(i-1)*n : i*n);
    if i==8
        IVV = [ones(n,1), Exog];
    else
        IVV = [ones(n,1), Exog,SKUP((i-1)*n+1:i*n,1:SkuN)];
    end;        
    beta = IVV\Y;
    YHat(1+(i-1)*n : i*n) = IVV * beta;
    
    Tss=(Y-mean(Y))'*(Y-mean(Y));
    Ess = Y'*Y - beta'*IVV'*Y;
    R2(i) = 1-Ess/Tss;
    R2a(i) = 1-(1-R2(i))*(n-1)/(n-size(IVV,2));
end;

% Generate the LnP_M_Hat, LnP_F_Hat, LnP_D_Hat (IV is SKUN)
LnPHat = YHat(1:n*g); LnXPHat = repmat(YHat(n*g+1:end),g,1);
LnP_MHat = zeros(n*g,1);    %Price for the product group in the same molecule
LnP_FHat = zeros(n*g,1);    %Price for the product groups produced by foreign firms
LnP_DHat = zeros(n*g,1);    %Price for the product groups produced by domestic firms

LnP_MHat(1:288) = LnPHat(289:576);
LnP_MHat(289:576) = LnPHat(1:288);

% Reshape LnPHat to get a 96 by 7 matrix (each group by period)
Ptmp = zeros(96,7);
Ptmp(:) = LnPHat;
Ptmp = Ptmp';                       % 7 by 96, each column refers to one period
LnFTot = sum(Ptmp(1:3,:))';         % A 96 by 1 column vector; the sum of foreign drug prices 
                                    %   for each period
LnFTotL = repmat(LnFTot,3,1);                                    
LnP_FHat(1:288) = LnFTotL - LnPHat(1:288);
LnP_FHat(289:576) = LnP_FHat(1:288);
LnP_FHat(577:end) = LnFTot;

LnDTot = sum(Ptmp(4:7,:))';
LnDTotL = repmat(LnDTot,4,1);
LnP_DHat(289:end) = LnDTotL - LnPHat(289:end);
LnP_DHat(1:288) = LnP_DHat(289:576);
