function [TLX,TA0,TU0,SA0,SU0,SEtaU,MC]=P9_Base(TA,TG,TB,TLP,TLXP,SA,SG,SB,SLP,SPI,SLX,SW)
% Based on Using Only Regional dummies
% TLX is the top level log total expenditure
% TA0, TU0, SA0, SU0 are the initial constants in the AIDS specification
% SEtaU is the unconditional demand elasticity
% MC is the marginal cost

TLP(8) = SPI;
TW = TA + TG*TLP + TB*(TLXP);
TLX = SLX - log(TW(8));
TPI = TLX - TLXP;
TA0 = TPI - TA'*TLP - .5*TLP'*TG*TLP;
TU0 = TLXP/prod(exp(TLP).^TB);

dLXLP = TG(8,8)/TW(8);      %dLnXQ/dlnPQ can be well approximated by gamma_QQ/omiga_Q, where gamma_QQ
    % is the coefficient from the TOP stage estimation and omiga_Q is Quinolone's revenue share in total
    % anti-biotic expenditure. 

SA0 = SPI - SA'*SLP -.5*SLP'*SG*SLP;
SU0 = (SLX-SPI)/prod(exp(SLP).^SB);

t1 = SA + SG * SLP;
t2 = (SG + (dLXLP-1)*SB*t1')./repmat(SW,1,7);
t3 = repmat(dLXLP*t1',7,1) + t2 - eye(7);
SEtaU = t3(:);
MC = exp(SLP) .*(1+1./diag(t3));
